From oracle-l-bounce@freelists.org  Fri Mar 19 10:31:12 2004
Return-Path: <oracle-l-bounce@freelists.org>
Received: from air189.startdedicated.com (root@localhost)
 by orafaq.com (8.11.6/8.11.6) with ESMTP id i2JGVCr02602
 for <oracle-l@orafaq.com>; Fri, 19 Mar 2004 10:31:12 -0600
X-ClientAddr: 206.53.239.180
Received: from turing.freelists.org (freelists-180.iquest.net [206.53.239.180])
 by air189.startdedicated.com (8.11.6/8.11.6) with ESMTP id i2JGVCo02595
 for <oracle-l@orafaq.com>; Fri, 19 Mar 2004 10:31:12 -0600
Received: from turing (localhost [127.0.0.1])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP
 id EC4B0390AF8; Fri, 19 Mar 2004 11:29:28 -0500 (EST)
Received: with ECARTIS (v1.0.0; list oracle-l); Fri, 19 Mar 2004 11:28:23 -0500 (EST)
X-Original-To: oracle-l@freelists.org
Delivered-To: oracle-l@freelists.org
Received: from tera.umi.com (tera.umi.com [192.195.245.144])
 by turing.freelists.org (Avenir Technologies Mail Multiplex) with ESMTP id 276B9390B7D
 for <oracle-l@freelists.org>; Fri, 19 Mar 2004 11:28:23 -0500 (EST)
Received: from bosmail02.bos.il.pqe (bosmail02.bos.il.pqe [172.24.3.66])
 by tera.umi.com (8.11.6/8.11.6) with ESMTP id i2JGYjW08223
 for <oracle-l@freelists.org>; Fri, 19 Mar 2004 11:34:45 -0500
Received: from bosmail00.bos.il.pqe ([172.24.3.64]) by bosmail02.bos.il.pqe with Microsoft SMTPSVC(5.0.2195.6713);
	 Fri, 19 Mar 2004 11:34:46 -0500
X-MimeOLE: Produced By Microsoft Exchange V6.0.6249.0
content-class: urn:content-classes:message
MIME-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
X-MIME-Autoconverted: from quoted-printable to 8bit by Ecartis
Subject: RE: Always return at least one value
Date: Fri, 19 Mar 2004 11:34:46 -0500
Message-ID: <4C9B6FDA0B06FE4DAF5918BBF0AD82CF03B45388@bosmail00.bos.il.pqe>
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
Thread-Topic: Always return at least one value
Thread-Index: AcQNzzAc22IbMuXwSeKXPJ3isd4swQAALg2A
From: "Bobak, Mark" <Mark.Bobak@il.proquest.com>
To: <oracle-l@freelists.org>
X-OriginalArrivalTime: 19 Mar 2004 16:34:46.0518 (UTC) FILETIME=[171A6160:01C40DD0]
X-archive-position: 1259
X-ecartis-version: Ecartis v1.0.0
Sender: oracle-l-bounce@freelists.org
Errors-To: oracle-l-bounce@freelists.org
X-original-sender: Mark.Bobak@il.proquest.com
Precedence: normal
Reply-To: oracle-l@freelists.org
X-list: oracle-l

How about this:
select field from table where field='LITERAL'
union all
select '-' from dual
where not exists(select field from table where field='LITERAL');

I think that ought to do it....

-Mark

-----Original Message-----
From: Stephen.Lee@DTAG.Com [mailto:Stephen.Lee@DTAG.Com]
Sent: Friday, March 19, 2004 11:27 AM
To: oracle-l@freelists.org
Subject: Always return at least one value



Is there is short and sweet way to do:
	Select field from table where field = 'LITERAL'.
	If no rows then return a '-'.
	If there are matches then return all the matches.

I trying to avoid multiple select statements, loops, conditional statements,
etc. because it is expected that this could possibly run a couple thousand
times per minute.

Something like:

select nvl(field,'-') from (select field from TABLE where character =
'VALUE') A, sys.dual B where A.field(+) = B.dummy;

will work if there is no match in the table.  But if there are multiple
matches, it will only return one of them because there is only one row in
DUAL.  Is there something in version 9 that can do this in a single slick
and cool query?

----------------------------------------------------------------
Please see the official ORACLE-L FAQ: http://www.orafaq.com
----------------------------------------------------------------
To unsubscribe send email to:  oracle-l-request@freelists.org
put 'unsubscribe' in the subject line.
--
Archives are at http://www.freelists.org/archives/oracle-l/
FAQ is at http://www.freelists.org/help/fom-serve/cache/1.html
-----------------------------------------------------------------
----------------------------------------------------------------
Please see the official ORACLE-L FAQ: http://www.orafaq.com
----------------------------------------------------------------
To unsubscribe send email to:  oracle-l-request@freelists.org
put 'unsubscribe' in the subject line.
--
Archives are at http://www.freelists.org/archives/oracle-l/
FAQ is at http://www.freelists.org/help/fom-serve/cache/1.html
-----------------------------------------------------------------

